/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

/** Main Page layout fixes *********************************************************
 *
 *  Description:        Various layout fixes for the main page, including an
 *                      additional link to the complete list of languages available
 *                      and the renaming of the 'Article' to to 'Main Page'.
 *  Maintainers:        User:AzaToth, User:R. Koot
 */

function mainPageRenameNamespaceTab() {
    try {
        var Node = document.getElementById( 'ca-nstab-main' ).firstChild;
        if ( Node.textContent ) {      // Per DOM Level 3
            Node.textContent = 'Faqja Kryesore';
        } else if ( Node.innerText ) { // IE doesn't handle .textContent
            Node.innerText = 'Faqja Kryesore';
        } else {                       // Fallback
            Node.replaceChild( Node.firstChild, document.createTextNode( 'Faqja Kryesore' ) ); 
        }
    } catch(e) {
        // bailing out!
    }
}

function mainPageAppendCompleteListLink() {
    try {
        var node = document.getElementById( "p-lang" )
                           .getElementsByTagName('div')[0]
                           .getElementsByTagName('ul')[0];

        var aNode = document.createElement( 'a' );
        var liNode = document.createElement( 'li' );

        aNode.appendChild( document.createTextNode( 'E tërë lista' ) );
        aNode.setAttribute( 'href' , 'http://meta.wikimedia.org/wiki/List_of_Wikipedias' );
        liNode.appendChild( aNode );
        liNode.className = 'interwiki-completelist';
        node.appendChild( liNode );
     } catch(e) {
       // lets just ignore what's happened
       return;
    }
}

if ( wgTitle == 'Faqja Kryesore' && ( wgNamespaceNumber == 0 || wgNamespaceNumber == 1 ) ) {
       addOnloadHook( mainPageRenameNamespaceTab );
}

if ( wgTitle == 'Faqja Kryesore' && wgNamespaceNumber == 0 ) {
       addOnloadHook( mainPageAppendCompleteListLink );
}

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/*
<pre>
*/
/* tooltips and access keys */
ta = new Object();
ta['pt-userpage'] = new Array('.','Faqja ime e Përdoruesit'); 
ta['pt-anonuserpage'] = new Array('.','Faqja për IP-në nga e cila jeni duke kontribuar ju për momentin'); 
ta['pt-mytalk'] = new Array('n','Faqja ime e Diskutimeve'); 
ta['pt-anontalk'] = new Array('n','Faqja e diskutimeve për IP-në nga e cila jeni duke kontribuar ju për momentin'); 
ta['pt-preferences'] = new Array('','Parapëlqimet e mia'); 
ta['pt-watchlist'] = new Array('l','Lista e faqeve nën mbikqyrjen time.'); 
ta['pt-mycontris'] = new Array('y','Lista e kontributeve të mia'); 
ta['pt-login'] = new Array('o','Të hysh brenda nuk është e detyrueshme, por ka shumë përparësi.'); 
ta['pt-anonlogin'] = new Array('o','Të hysh brenda nuk është e detyrueshme, por ka shumë përparësi.'); 
ta['pt-logout'] = new Array('o','Dalje'); 
ta['ca-talk'] = new Array('t','Diskuto për përmbajtjen e atrikullit'); 
ta['ca-edit'] = new Array('e','Ju mund ta redaktoni këtë faqe. Përdoreni butonin >>Trego parapamjen<< para se ti ruani ndryshimet.'); 
ta['ca-addsection'] = new Array('+','Fillo një temë të re të diskutimit.'); 
ta['ca-viewsource'] = new Array('e','Kjo faqe është e mbrojtur. Ju mundeni vetëm ta shikoni burimin e tekstit.'); 
ta['ca-history'] = new Array('h','Versione të më parshme të artikullit.'); 
ta['ca-protect'] = new Array('=','Mboje këtë faqe'); 
ta['ca-delete'] = new Array('d','Grise këtë faqe'); 
ta['ca-undelete'] = new Array('d','Faqja u restaurua'); 
ta['ca-move'] = new Array('m','Me anë të zhvendosjes mundeni ta ndryshoni titullin e artikullit'); 
ta['ca-nomove'] = new Array('','Ti nuk ke të drejtë ta zhvendosish këtë faqe'); 
ta['ca-watch'] = new Array('w','Shton faqen në lisën e faqeve nën mbikqyrje time'); 
ta['ca-unwatch'] = new Array('w','Largon faqen nga lista e faqeve nën mbikqyrj time.'); 
ta['search'] = new Array('f','Kërko në Wikipedia'); 
ta['p-logo'] = new Array('','Faqja kryesore'); 
ta['n-mainpage'] = new Array('z','Vizitoni Faqen kryesore'); 
ta['n-portal'] = new Array('','Mbi Projektin, çka mundësh të bësh ti për të dhe ku gjenden faqet.'); 
 ta['n-Featured-articles']   = new Array('','Artikuj perfekte - më e mira e Wikipedia'); 
ta['n-currentevents'] = new Array('','Informata rreth ngjarjeve aktuale.'); 
ta['n-recentchanges'] = new Array('r','Lista e Ndryshimeve së fundmi në Wikipedia'); 
ta['n-randompage'] = new Array('x','Shikoni një artikull të rastit.'); 
ta['n-help'] = new Array('','Vendi ku gjeni ndihmë.'); 
ta['n-sitesupport'] = new Array('','Përkrahni Wikipedian'); 
ta['t-whatlinkshere'] = new Array('j','Lista e faqeve që lidhen te ky artikull'); 
ta['t-recentchangeslinked'] = new Array('k','Lista e ndryshimeve të faqeve që lidhen te ky artikull'); 
ta['feed-rss'] = new Array('','Informata "RSS feed" për këtë faqe '); 
ta['feed-atom'] = new Array('','Informata "Atom feed" për këtë faqe'); 
ta['t-contributions'] = new Array('','Shiko listën e kontributeve për Përdoruesin në fjalë'); 
ta['t-emailuser'] = new Array('','Dërgoni një letër Përdoruesit'); 
ta['t-upload'] = new Array('u','Ngarkoni foto ose skeda multimediale'); 
ta['t-specialpages'] = new Array('q','Lista e të gjitha faqeve speciale.'); 
ta['ca-nstab-main'] = new Array('c','Shikoni përmbajtjen e artikullit.'); 
ta['ca-nstab-user'] = new Array('c','Shikoni faqen e përdoruesit'); 
ta['ca-nstab-media'] = new Array('c','Shikoni faqen e skedës'); 
ta['ca-nstab-special'] = new Array('','Kjo është një faqe speciale. Ju nuk mundeni ta redaktoni këtë faqe'); 
ta['ca-nstab-wp'] = new Array('c','Shikoni faqen e Projektit'); 
ta['ca-nstab-image'] = new Array('c','Shikoni faqen e Figurës'); 
ta['ca-nstab-mediawiki'] = new Array('c','Shikoni Mesazhet e Sistemit'); 
ta['ca-nstab-template'] = new Array('c','Shikoni Stampën'); 
ta['ca-nstab-help'] = new Array('c','Shikoni faqet ndihmëse'); 
ta['ca-nstab-category'] = new Array('c','Shikoni faqen Kategorisë');


if (window.showModalDialog && document.compatMode && document.compatMode == "CSS1Compat")
{
  var oldWidth;
  var docEl = document.documentElement;

  function fixIEScroll()
  {
    if (!oldWidth || docEl.clientWidth > oldWidth)
      doFixIEScroll();
    else
      setTimeout(doFixIEScroll, 1);
  
    oldWidth = docEl.clientWidth;
  }

  function doFixIEScroll() {
    docEl.style.overflowX = (docEl.scrollWidth - docEl.clientWidth < 4) ? "hidden" : "";
  }

  document.attachEvent("onreadystatechange", fixIEScroll);
  attachEvent("onresize", fixIEScroll);
}

function addLoadEvent(func) 
{
  if (window.addEventListener) 
    window.addEventListener("load", func, false);
  else if (window.attachEvent) 
    window.attachEvent("onload", func);
}

function LinkFA() 
{
   // iterate over all <span>-elements
   for(var i=0; a = document.getElementsByTagName("span")[i]; i++) {
      // if found a FA span
      if(a.className == "FA") {
         // iterate over all <li>-elements
         for(var j=0; b = document.getElementsByTagName("li")[j]; j++) {
            // if found a FA link
            if(b.className == "interwiki-" + a.id) {
               b.style.padding = "0 0 0 16px";
               b.style.backgroundImage = "url('http://upload.wikimedia.org/wikipedia/en/6/60/LinkFA-star.png')";
               b.style.backgroundRepeat = "no-repeat";
               b.title = "This article has gained featured status";
            }
         }
      }
   }
}

addLoadEvent(LinkFA);

 // ============================================================
 // BEGIN Dynamic Navigation Bars (experimantal)
 
 // set up the words in your language
 var NavigationBarHide = '[ fshih ]';
 var NavigationBarShow = '[ trego ]';
 
 // set up max count of Navigation Bars on page,
 // if there are more, all will be hidden
 // NavigationBarShowDefault = 0; // all bars will be hidden
 // NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
 var NavigationBarShowDefault = 1;
 
 
 // shows and hides content and picture (if available) of navigation bars
 // Parameters:
 //     indexNavigationBar: the index of navigation bar to be toggled
 function toggleNavigationBar(indexNavigationBar)
 {
    var NavToggle = document.getElementById("NavToggle" + indexNavigationBar);
    var NavFrame = document.getElementById("NavFrame" + indexNavigationBar);
 
    if (!NavFrame || !NavToggle) {
        return false;
    }
 
    // if shown now
    if (NavToggle.firstChild.data == NavigationBarHide) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'none';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'none';
            }
        }
    NavToggle.firstChild.data = NavigationBarShow;
 
    // if hidden now
    } else if (NavToggle.firstChild.data == NavigationBarShow) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'block';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'block';
            }
        }
    NavToggle.firstChild.data = NavigationBarHide;
    }
 }
 
 // adds show/hide-button to navigation bars
 function createNavigationBarToggleButton()
 {
    var indexNavigationBar = 0;
    // iterate over all < div >-elements
    for(
            var i=0; 
            NavFrame = document.getElementsByTagName("div")[i]; 
            i++
        ) {
        // if found a navigation bar
        if (NavFrame.className == "NavFrame") {
 
            indexNavigationBar++;
            var NavToggle = document.createElement("a");
            NavToggle.className = 'NavToggle';
            NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar);
            NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');');
            
            var NavToggleText = document.createTextNode(NavigationBarHide);
            NavToggle.appendChild(NavToggleText);
            // Find the NavHead and attach the toggle link (Must be this complicated because Moz's firstChild handling is borked)
            for(
              var j=0; 
              j < NavFrame.childNodes.length; 
              j++
            ) {
              if (NavFrame.childNodes[j].className == "NavHead") {
                NavFrame.childNodes[j].appendChild(NavToggle);
              }
            }
            NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
        }
    }
    // if more Navigation Bars found than Default: hide all
    if (NavigationBarShowDefault < indexNavigationBar) {
        for(
                var i=1; 
                i<=indexNavigationBar; 
                i++
        ) {
            toggleNavigationBar(i);
        }
    }
 
 }
 
 addLoadEvent(createNavigationBarToggleButton);
 
 // END Dynamic Navigation Bars
 // ============================================================




var mpTitle = "Wikipedia:WikiProject Usability/Main Page/Draft";
var isMainPage = (document.title.substr(0, mpTitle.length) == mpTitle)

if (isMainPage) 
{
document.write('<style type="text/css"> #siteSub, #contentSub { display: none!important; } #content, #content div.thumb, #p-cactions li a, #p-cactions li a:hover, #p-cactions li.selected a { background: #fff!important; } </style>');

var mpSmallEnabled;
var mpMinWidth = 700;

function mainPageTransform()
{
	var mpContentEl = document.getElementById("bodyContent");
	var mpBrowseEl = document.getElementById("EnWpMpBrowse");
	var mpContainEl = document.getElementById("EnWpMpBrowseContainer");
	var mpMarginEl = document.getElementById("EnWpMpMargin");
	var mpEl = document.getElementById("EnWpMainPage");

	if (!mpContentEl || !mpBrowseEl || !mpContainEl || !mpMarginEl || !mpEl)
		return;

	if (!mpSmallEnabled && mpContentEl.offsetWidth < mpMinWidth)
	{
		mpContainEl.insertBefore(mpBrowseEl, mpContainEl.firstChild);
		mpBrowseEl.className = "EnWpMpBrowseBottom";
		mpMarginEl.style.marginRight = 0;
		mpSmallEnabled = true;
	}
	else if (mpSmallEnabled && mpContentEl.offsetWidth > mpMinWidth)
	{
		mpEl.insertBefore(mpBrowseEl, mpEl.firstChild);
		mpBrowseEl.className = "EnWpMpBrowseRight";
		mpMarginEl.style.marginRight = "13.8em";
		mpSmallEnabled = false;
	}
}

var onloadFuncts = [ mainPageTransform ];

if (window.addEventListener) 
  window.addEventListener("resize", mainPageTransform, false);
else if (window.attachEvent) 
  window.attachEvent("onresize", mainPageTransform);

}


/*
</pre>
*/